pcl::experimental Namespace Reference

## Namespaces

| advanced

## Typedefs

template<class PointT >
using | FilterFunction = std::function< bool(const PointCloud< PointT > &, index_t)>
template<class PointT >
using | FunctionFilter = advanced::FunctorFilter< PointT, FilterFunction< PointT > >

## Variables

template<typename PointT , typename Function >
constexpr static bool | is_function_object_for_filter_v
| Checks if the function object meets the usage in `FunctorFilter` class. More...

## Typedef Documentation

## FilterFunction

template<class PointT >

using pcl::experimental::FilterFunction = typedef std::function<bool(const PointCloud<PointT>&, index_t)>

Definition at line 135 of file functor_filter.h.

## FunctionFilter

template<class PointT >

using pcl::experimental::FunctionFilter = typedef advanced::FunctorFilter<PointT, FilterFunction<PointT> >

Definition at line 138 of file functor_filter.h.

## Variable Documentation

## is_function_object_for_filter_v

template<typename PointT , typename Function >

constexpr static bool pcl::experimental::is_function_object_for_filter_v

static constexpr

Initial value:
=
is_invocable_r_v<bool, Function, const PointCloud<PointT>&, index_t>
pcl::index_t
detail::int_type_t< detail::index_type_size, detail::index_type_signed > index_t
Type used for an index in PCL.
Definition: types.h:112

Checks if the function object meets the usage in `FunctorFilter` class.

`Function` needs to be callable with a const reference to a PointCloud and an index value. The return type should be implicitly convertible to a boolean

Definition at line 23 of file functor_filter.h.